#ifndef GUIMODULE_H
#define GUIMODULE_H

#include "Module.h"

class GuiModule : Module {

    public:
        typedef GuiModule* create_t();
        typedef void destroy_t(GuiModule*);

        virtual ~GuiModule() {}
        virtual void run() = 0;
};


#endif
